Index: app_directory.c
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/app_directory.c,v
retrieving revision 1.5
diff -u -r1.5 app_directory.c
--- app_directory.c	29 Sep 2003 20:10:49 -0000	1.5
+++ app_directory.c	30 Oct 2003 22:19:32 -0000
@@ -127,7 +127,7 @@
 	struct ast_variable *v;
 	int res;
 	int found=0;
-	char *start, *pos, *conv,*stringp=NULL;
+	char *start, *pos, *conv,*stringp, *manager, *secretary, *managerStart=NULL;
 	char fn[256];
 	char fn2[256];
 	if (!context || !strlen(context)) {
@@ -171,11 +171,15 @@
 				v = v->next;
 			}
 			if (v) {
+				managerStart = strdup(v->name);
+				manager = strsep(&managerStart, "/");
+				secretary = strsep(&managerStart, " ");
+				if(!secretary) { secretary=manager; }
 				/* We have a match -- play a greeting if they have it */
 				/* Check for the VoiceMail2 greeting first */
-				snprintf(fn, sizeof(fn), "%s/voicemail/%s/%s/greet", (char *)ast_config_AST_SPOOL_DIR, context, v->name);
+				snprintf(fn, sizeof(fn), "%s/voicemail/%s/%s/greet", (char *)ast_config_AST_SPOOL_DIR, context, manager);
 				/* Otherwise, check for an old-style Voicemail greeting */
-				snprintf(fn2, sizeof(fn2), "%s/vm/%s/greet", (char *)ast_config_AST_SPOOL_DIR, v->name);
+				snprintf(fn2, sizeof(fn2), "%s/vm/%s/greet", (char *)ast_config_AST_SPOOL_DIR, manager);
 				if (ast_fileexists(fn, NULL, chan->language) > 0) {
 					res = ast_streamfile(chan, fn, chan->language);
 					if (!res)
@@ -187,7 +191,7 @@
 						res = ast_waitstream(chan, AST_DIGIT_ANY);
 					ast_stopstream(chan);
 				} else {
-					res = ast_say_digit_str(chan, v->name, AST_DIGIT_ANY, chan->language);
+					res = ast_say_digit_str(chan, secretary, AST_DIGIT_ANY, chan->language);
 				}
 ahem:
 				if (!res)
@@ -199,7 +203,7 @@
 				ast_stopstream(chan);
 				if (res > -1) {
 					if (res == '1') {
-						strncpy(chan->exten, v->name, sizeof(chan->exten)-1);
+						strncpy(chan->exten, secretary, sizeof(chan->exten)-1);
 						chan->priority = 0;
 						strncpy(chan->context, context, sizeof(chan->context)-1);
 						res = 0;
